Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class JSPFrontend

    java.lang.Object
      org.deegree.portal.context.AbstractFrontend
          org.deegree.portal.context.JSPFrontend

All Implemented Interfaces:
  Frontend

    public class JSPFrontend

extends AbstractFrontend

this class encapsulates the description of the front end of a GUI setting up on a web map context. this is a deegree specific form of description. beside the general elements inherited from AbstractFrontend three additional elements are offered:

- commonJS: a list of javascript files containing objects and methods to be used by more than one module of the GUI
- buttons: a javascript file containing a associative array (Map) for the used buttons
- style: css-style file

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`JSPFrontend(String controller, GUIArea west, GUIArea east, GUIArea south, GUIArea north, GUIArea center, String style, String buttons, String[] commonJS, String header, String footer)` Creates a new Frontend object.

Method Summary
`void` | `addCommonJS(String commonJS)` adds the name of a javascript file containing objects and methods to be used by more than one module of the GUI
`String` | `getButtons()` returns the name of a javascript file containing a associative array (Map) for the used buttons (images).
`String[]` | `getCommonJS()` returns a list of javascript files containing objects and methods to be used by more than one module of the GUI
`String` | `getFooter()` returns the name of the footer JSP page/file.
`String` | `getHeader()` returns the name of the header JSP page/file.
`String` | `getStyle()` returns the name of the css style file to be used by the gui
`void` | `removeCommonJS(String commonJS)` removes the name of a javascript file containing objects and methods to be used by more than one module of the GUI
`void` | `setButtons(String buttons)` sets the name of a javascript file containing a associative array (Map) for the used buttons (images).
`void` | `setCommonJS(String[] commonJS)` sets a list of javascript files containing objects and methods to be used by more than one module of the GUI
`void` | `setFooter(String footer)` sets the name of the footer JSP page/file
`void` | `setHeader(String header)` sets the name of the header JSP page/file
`void` | `setStyle(String style)` sets the name of the css style file to be used by the gui

Methods inherited from class org.deegree.portal.context.AbstractFrontend
`getCenter, getController, getEast, getModulesByName, getNorth, getSouth, getWest, setCenter, setController, setEast, setNorth, setSouth, setWest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSPFrontend

    public JSPFrontend(String controller,
                       GUIArea west,
                       GUIArea east,
                       GUIArea south,
                       GUIArea north,
                       GUIArea center,
                       String style,
                       String buttons,
                       String[] commonJS,
                       String header,
                       String footer)

  Creates a new Frontend object.

  Parameters:
    `controller` - name of the controlle JSP file
    `style` - name of the css style file
    `buttons` - name of the js-file containing a llist (Map) of the used buttons (images)
    `commonJS` - list of js-files with common used object and methods
    `west` - gui description for west area
    `east` - gui description for east area
    `south` - gui description for south area
    `north` - gui description for north area
    `center` - gui description for central area
    `header` - JSP header page/file
    `footer` - JSP footer page/file

Method Detail

### getStyle

    public String getStyle()

  returns the name of the css style file to be used by the gui

  Returns:
    the name of the css style file to be used by the gui

### getButtons

    public String getButtons()

  returns the name of a javascript file containing a associative array (Map) for the used buttons (images). If this is `null` HTML standard buttons shall be used in the gui

  Returns:
    name of a javascript file containing a associative array for the used buttons

### getCommonJS

    public String[] getCommonJS()

  returns a list of javascript files containing objects and methods to be used by more than one module of the GUI

  Returns:
    list of javascript files common for all modules

### setStyle

    public void setStyle(String style)

  sets the name of the css style file to be used by the gui

  Parameters:
    `style` -

### setButtons

    public void setButtons(String buttons)

  sets the name of a javascript file containing a associative array (Map) for the used buttons (images). If this is `null` HTML standard buttons shall be used in the gui

  Parameters:
    `buttons` -

### setCommonJS

    public void setCommonJS(String[] commonJS)

  sets a list of javascript files containing objects and methods to be used by more than one module of the GUI

  Parameters:
    `commonJS` -

### addCommonJS

    public void addCommonJS(String commonJS)

  adds the name of a javascript file containing objects and methods to be used by more than one module of the GUI

  Parameters:
    `commonJS` -

### removeCommonJS

    public void removeCommonJS(String commonJS)

  removes the name of a javascript file containing objects and methods to be used by more than one module of the GUI

  Parameters:
    `commonJS` -

### getHeader

    public String getHeader()

  returns the name of the header JSP page/file. If the returned value is null, no header shall be used

  Returns:
    name of the header JSP page/file

### setHeader

    public void setHeader(String header)

  sets the name of the header JSP page/file

  Parameters:
    `header` -

### getFooter

    public String getFooter()

  returns the name of the footer JSP page/file. If the returned value is null, no footer shall be used

  Returns:
    name of the footer JSP page/file

### setFooter

    public void setFooter(String footer)

  sets the name of the footer JSP page/file

  Parameters:
    `footer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org